commit 5570f71f1cef9bd654151046567d71f54fe01fc3
Author: freddy77 <freddy77>
Date:   Fri Jan 23 09:42:36 2009 +0000

    remove buffer overflow reading

diff --git a/ChangeLog b/ChangeLog
index c851bde..76cc17e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Jan 23 10:42:12 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/login.c: remove buffer overflow reading
+
 Wed Jan 21 09:43:32 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/replacements/fakepoll.c: make it compile
 
@@ -1220,4 +1223,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2713 2009/01/21 08:43:54 freddy77 Exp $
+$Id: ChangeLog,v 1.2714 2009/01/23 09:42:36 freddy77 Exp $
diff --git a/src/tds/login.c b/src/tds/login.c
index 6b1ed45..17490fa 100644
--- a/src/tds/login.c
+++ b/src/tds/login.c
@@ -51,7 +51,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: login.c,v 1.180 2009/01/16 20:27:58 jklowden Exp $");
+TDS_RCSID(var, "$Id: login.c,v 1.181 2009/01/23 09:42:36 freddy77 Exp $");
 
 static int tds_send_login(TDSSOCKET * tds, TDSCONNECTION * connection);
 static int tds8_do_login(TDSSOCKET * tds, TDSCONNECTION * connection);
@@ -506,14 +506,7 @@ tds_connect_and_login(TDSSOCKET * tds, TDSCONNECTION * connection)
 static int
 tds_put_login_string(TDSSOCKET * tds, const char *buf, int n)
 {
-	char string[32];
 	const int buf_len = buf ? (int)strlen(buf) : 0;
-	memset(string, '<', sizeof(string));
-	memcpy(string, buf, n);
-	string[sizeof(string)-1] = '\0';
-	if(n)
-		tdsdump_dump_buf(TDS_DBG_INFO1, "login string", buf, n);
-
 	return tds_put_buf(tds, (const unsigned char *) buf, n, buf_len);
 }
 

